org.apache.ignite.internal.processors.marshaller

## Class MappingAcceptedMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.marshaller.MappingAcceptedMessage

All Implemented Interfaces:
  Serializable, DiscoveryCustomMessage

    public class MappingAcceptedMessage
    extends Object
    implements DiscoveryCustomMessage

Is sent as an acknowledgement for successfully proposed new mapping (see `MappingProposedMessage`). If any nodes were waiting for this mapping to be accepted they will be unblocked on receiving this message.

See Also:
  Serialized Form

### Method Summary

Methods
`DiscoveryCustomMessage` `ackMessage()` Called when custom message has been handled by all nodes.
`IgniteUuid` `id()`
`boolean` `isMutable()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### id

    public IgniteUuid id()

Specified by:
  `id` in interface `DiscoveryCustomMessage`
Returns:
  Unique custom message ID.

#### ackMessage

    @Nullable
    public DiscoveryCustomMessage ackMessage()

Called when custom message has been handled by all nodes.

Specified by:
  `ackMessage` in interface `DiscoveryCustomMessage`
Returns:
  Ack message or `null` if ack is not required.

#### isMutable

    public boolean isMutable()

Specified by:
  `isMutable` in interface `DiscoveryCustomMessage`
Returns:
  `true` if message can be modified during listener notification. Changes will be send to next nodes.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017